<?xml version="1.0" encoding="UTF-8"?>
<tp:taxonomyPackage xmlns:tp="http://xbrl.org/2016/taxonomy-package" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xml:lang="en" xsi:schemaLocation="http://xbrl.org/2016/taxonomy-package http://www.xbrl.org/2016/taxonomy-package.xsd">
    <tp:identifier>http://www.kogeneracja.com.pl/xbrl/2024-12-31</tp:identifier>
    <tp:name>kogeneracja XBRL Taxonomy 2024 based on ESMA 2022</tp:name>
    <tp:description>Taksonomia kogeneracja utworzona przez aplikację Consolia XBRL Office firmy App Trend w wersji: 2.9.41.0</tp:description>
    <tp:version>0</tp:version>
    <tp:publisher>kogeneracja (529900IIZX8UAI8MJ703)</tp:publisher>
    <tp:publisherURL>http://www.kogeneracja.com.pl</tp:publisherURL>
    <tp:publisherCountry>PL</tp:publisherCountry>
    <tp:publicationDate>2025-04-15</tp:publicationDate>
    <tp:entryPoints>
        <tp:entryPoint>
            <tp:name>kogeneracja XBRL Taxonomy 2024 based on ESMA 2022</tp:name>
            <tp:description>Taksonomia kogeneracja utworzona przez aplikację Consolia XBRL Office firmy App Trend w wersji: 2.9.41.0</tp:description>
            <tp:entryPointDocument href="http://www.kogeneracja.com.pl/xbrl/2024-12-31/kgn-2024-12-31.xsd"/>
            <tp:languages>
                <tp:language>en</tp:language>
                <tp:language>pl</tp:language>
            </tp:languages>
        </tp:entryPoint>
    </tp:entryPoints>
</tp:taxonomyPackage>
